commit:     b2d286fd0735f52072c92ccd962c7dda05ff0fe0
Author:     Robert Siebeck <gentoo.2019 <AT> r123 <DOT> de>
AuthorDate: Mon Jul 31 11:42:17 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Sep  6 06:57:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2d286fd

app-i18n/transifex-client: add new version 1.6.10

Signed-off-by: Robert Siebeck <gentoo.2019 <AT> r123.de>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-i18n/transifex-client/Manifest                 |  2 ++
 .../transifex-client-1.6.10.ebuild                 | 32 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/app-i18n/transifex-client/Manifest 
b/app-i18n/transifex-client/Manifest
index 9b946edb0c2a..fe5d89acbd28 100644
--- a/app-i18n/transifex-client/Manifest
+++ b/app-i18n/transifex-client/Manifest
@@ -1,3 +1,5 @@
+DIST transifex-client-1.6.10-deps.tar.bz 241676034 BLAKE2B 
0313f3d8c35629b8dbe253c286291a09d131adde188b4a730f5425514f316ebb28852e920a77c6664f2d01844157f2130aaf1554945fbbedf7309e8bec3cd762
 SHA512 
cf0217fb73c6868a74f452e2c15c55acae613a3f7c5ca543d817f1a4d1491d4fe0b5960f877060324c4d03a4021a0ac5eaeb748bab9a680c6e994dd5968706f8
+DIST transifex-client-1.6.10.tar.gz 96576 BLAKE2B 
cc3e1ba776ca54776e723fedbf33ee98e40adad78509db9ffca5f2af0dd382a81ffceb645a92ea44a3e96850bf2eb96f663f0cc24bc72dce1e09a4dc2da1874d
 SHA512 
32f3d3444235cae1a78532e2f80a9e78dca8a6da5440e9e9a636c09e82816c84cd8de085c1e672d478622822aa9b67e996167956bcb49d77305811731aa17efc
 DIST transifex-client-1.6.4-deps.tar.bz 241683180 BLAKE2B 
395caf5b5db1ea93363a7f6efc4d2b8ff9e5e8040b04fd8e78ccfbc4b6239c809e348de9d4f8e494d34a2fc6564a70df448961d62a2949c9e2a326cb5f873fcf
 SHA512 
0463cc7ead2c111f4d3889f3f29aa1c729554af0d0934a51aebd691e1f621f9bc61b5b3a90166ee0c947187aa5b489dc6b1bbd438193d6009afdc1a040db1270
 DIST transifex-client-1.6.4.tar.gz 94703 BLAKE2B 
b51e29aadab41c23b95efc86c334876094772e9d4f4f0cdaa41a5d016e710597da631953446d20689b0028e34bb4cc31ab0bdc1d3107dbc3a4abd6ba9279698e
 SHA512 
d8e6b18d30b9d225c6ed84c9cc699743c289ccfc151c1aa74411989f965f554e651ece3e36a033dc8fc77bc3bb5502b02b2d04b1affe96811195b74edadf128c
 DIST transifex-client-1.6.5-deps.tar.bz 241689777 BLAKE2B 
55ca6f8c39e08887ddad1fa27fa5065cdeaa193d470be846b60ad0350578e64d10f9ea63a6d9bd744b048e0db164591d07a069e2deab55e75ecb1e78efc44c19
 SHA512 
72b5702b31121e42b6b107b3addecd9ac6010042f94b2116e08b18e50264d6a6bb7010e0bef6dead599d96de390390f624b413ff042cc4293538fabbf904bc19

diff --git a/app-i18n/transifex-client/transifex-client-1.6.10.ebuild 
b/app-i18n/transifex-client/transifex-client-1.6.10.ebuild
new file mode 100644
index 000000000000..4c2ef37584ef
--- /dev/null
+++ b/app-i18n/transifex-client/transifex-client-1.6.10.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="The Transifex command-line client"
+HOMEPAGE="https://github.com/transifex/cli";
+
+SRC_URI="https://github.com/transifex/cli/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://gitlab.com/api/v4/projects/35204985/packages/generic/${PN}/${PV}/${P}-deps.tar.bz";
+S="${WORKDIR}"/cli-${PV}
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC LGPL-3 MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+src_compile() {
+       emake GOFLAGS="${GOFLAGS} 
-ldflags=-X="github.com/transifex/cli/internal/txlib.Version=${PV}
+}
+
+src_test() {
+       # Skip tests depending on a network connection. Bug #831772
+       rm internal/txlib/update_test.go || die
+       go test ./... || die
+}
+
+src_install() {
+       dobin bin/tx
+       dodoc README.md
+}

Reply via email to